            <div class="well well-sm container-fluid" data-instance-id="<%- test.testId %>">
              <div class="row-fluid" id="logHeader"> <!-- main header -->

                <div class="col-md-2" id="testStatusAndResult"><!-- status and results block -->

                </div>

                <div class="col-md-8"> <!-- main info -->
                    <div class="row">
                        <div class="col-md-2">Test Name:</div>
                        <div class="col-md-10"><%- test.testName %></div>
                    </div>
					<div class="row">
						<div class="col-md-2">Variant:</div>
						<div class="col-md-10"><%- test.variant %></div>
					</div>
                    <div class="row">
                        <div class="col-md-2">Test ID:</div>
                        <div class="col-md-10"><%- test.testId %></div>
                    </div>
                    <div class="row">
                        <div class="col-md-2">Created:</div>
                        <div class="col-md-10"><%- new Date(test.started) %></div>
                    </div>

                    <div class="row">
                        <div class="col-md-2">Description:</div>
                        <div class="col-md-10"><%- test.description %></div>
                    </div>

                    <div class="row">
                        <div class="col-md-2">Test Version:</div>
                        <div class="col-md-10"><%- test.version %></div>
                    </div>

                    <% if (!public && FAPI_UI.currentUser && FAPI_UI.currentUser.isAdmin) { %>
                    <div class="row">
                        <div class="col-md-2">Test Owner:</div>
                        <div class="col-md-10">
                            <%= FAPI_UI.logTemplates.OWNER({owner: test.owner}) %>
                        </div>
                    </div>
                    <% } %>
                    <% if (test.planId) { %>
                    <div class="row">
                        <div class="col-md-2">Plan ID:</div>
                        <div class="col-md-10"><%- test.planId %></div>
                    </div>
                    <% } %>

					<% if (test.summary) { %>
					<div class="row">
						<div class="col-md-12">
							<p class="bgSummary bg-info"><%- test.summary %></p>
						</div>

					</div>
					<% } %>

                    <div class="row">
                        <!-- calculated test results -->
                        <div class="col-md-2">Results:</div>
                        <div class="col-md-10 labelCollection" id="testResultSummary">

                        </div>
                    </div>
                </div>

                <div class="col-md-2"> <!-- controls -->
                    <% if (!public) { %>
                    <button class="btn btn-default btn-block" id="reloadBtn"><span class="glyphicon glyphicon-retweet"></span> Repeat Test</button>
                    <button class="btn btn-default btn-block" id="uploadBtn"><span class="glyphicon glyphicon-picture"></span> Upload Images <span class="badge" id="uploadCount"></span></button>
                    <button class="btn btn-default btn-block" id="showConfigBtn"><span class="glyphicon glyphicon-wrench"></span> View Config</button>
                    <% } %>
                    <% if (!public || test.publish == "everything") { %>
                    <button class="btn btn-default btn-block" id="downloadBtn"><span class="glyphicon glyphicon-save-file"></span> Download Logs</button>
                    <% } %>
                    <button class="btn btn-default btn-block collapse" id="planBtn"><span class="glyphicon glyphicon-book"></span> Return to Plan</button>
                    <% if (!public) { %>
                    <button class="btn btn-default btn-block collapse" id="nextPlanBtn"><span class="glyphicon glyphicon-fast-forward"></span> Continue Plan</button>
                    <% if (!test.publish) { %>
                    <button class="btn btn-default btn-block" data-publish="summary"><span class="glyphicon glyphicon-book"></span> Publish summary</button>
                    <button class="btn btn-default btn-block" id="publishBtn"><span class="glyphicon glyphicon-book"></span> Publish everything</button>
                    <% } else { %>
                        <% if (FAPI_UI.currentUser.isAdmin) { %>
                    <button class="btn btn-default btn-block" id="unpublishBtn" data-publish=""><span class="glyphicon glyphicon-ban-circle"></span> Unpublish</button>
                        <% } %>
                    <a href="log-detail.html?log=<%- encodeURIComponent(test.testId) %>&public=true" class="btn btn-info btn-block"><span class="glyphicon glyphicon-book"></span> Public link</a>
                    <% } %>
                    <% } %>
                </div>

              </div>
            </div>
            <% if (!public) { %>
            <div class="container-fluid well well-sm collapse" id="runningTestInformation">
              <div id="runningTestError" class="collapse"></div>
              <div class="alert alert-info" id="runningTestActive"><b>This test is currently running.</b> Values exported from the test are available below along with any URLs that need to be visited interactively.</div>
              <div class="alert alert-warning" id="runningTestInactive"><b>This test is no longer running.</b> Values exported from the test are available for review below. This test will be automatically removed from the test runner, but the logs will remain at this URL.</div>
              <div class="row-fluid">
                <div id="runningTestSuccess" class="collapse col-md-12">
                    <div class="alert alert-success"><strong>The test has completed successfully!</strong></div>
                </div>
              </div>
              <div class="row-fluid">
                <!-- attach controls and information for an actively running test here -->
                <div class="col-md-5" id="runningTestExport">

                </div>
                <div class="col-md-6" id="runningTestBrowser">

                </div>
                <div class="col-md-1">
                    <button class="btn btn-success btn-block collapse" id="startBtn"><span class="glyphicon glyphicon-play"></span> Start</button>
                    <button class="btn btn-default btn-block collapse" id="stopBtn"><span class="glyphicon glyphicon-stop"></span> Stop</button>
                </div>
              </div>
            </div>
            <div class="container alert alert-info alert-dismissible collapse" id="runningTestArchived">
              <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
              <b>This test is no longer running.</b> This log has been archived and can be viewed or downloaded.
            </div>
            <% } %>
